0

I want to use GRASS 7.6 with QGIS 3.10 installed on my Mac (10.13 - High Sierra).

I have installed QGIS 3.10 for Mac via this link : https://qgis.org/en/site/forusers/download.html I have installed GRASS 7.6 for Mac via this link : http://grassmac.wikidot.com/downloads

QGIS and GRASS both work separately, however when I am unable to use GRASS via QGIS. After activating the plugin in QGIS, I do not have access to any of the features (New Mapset, Open Mapset, etc.). Accessing at Plugins > GRASS > GRASS Options > General, I get the following error message :

Currently selected GRASS installation is not valid

enter image description here

I have the application located in my Applications directory.

enter image description here

What are the steps that I should do to be able to use GRASS via QGIS?

  • Try /Applications/GRASS-7.6.app/Contents/MacOS/Grass – gene Mar 19 '20 at 17:10
1

They announced in the QGIS github (see issue : https://github.com/qgis/QGIS/issues/34721#issuecomment-592090316) that the plugin was abandoned and that GRASS should be used directly via Processing > Toolbox > GRASS

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.